RecordingFailedException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.shared.dvr
Class RecordingFailedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.ocap.shared.dvr.RecordingFailedException

All Implemented Interfaces:
  Serializable

    public class RecordingFailedException

extends Exception

This exception is returned when applications call the getFailedException() for a failed recording request or an incomplete recording request.

See Also:
  Serialized Form

Field Summary
`static int` | `ACCESS_WITHDRAWN` Reason code : Recording did not complete successfully because access to the service or some component of it were withdrawn by the system before the scheduled completion of the recording.
`static int` | `CA_REFUSAL` Reason code : Recording failed due to the CA system refusing to permit it.
`static int` | `CONTENT_NOT_FOUND` Reason code : Recording failed because the requested content could not be found in the network.
`static int` | `INSUFFICIENT_RESOURCES` Reason code : Recording failed due to a lack of resources required to present this service.
`static int` | `OUT_OF_BANDWIDTH` Reason code : Recording failed due to lack of IO bandwidth to record this program.
`static int` | `POWER_INTERRUPTION` Reason code : When the device is powered off and the power returns after the scheduled end time of a recording but before the expiration time of the recording request, the request shall be in the failed state with this reason code.
`int` | `REASON_NOT_KNOWN` Reason code: reason not known
`static int` | `RESOLUTION_ERROR` Reason code : The recording request failed due to errors in request resolution.
`static int` | `RESOURCES_REMOVED` Reason code : Recording did not complete sucessfully because Resources needed to present the service were removed before the scheduled completion of the recording.
`static int` | `SERVICE_VANISHED` Reason code : Recording did not complete sucessfully because the service vanished from the network before the completion of the recording.
`static int` | `SPACE_FULL` Reason code : Recording could not complete due to lack of storage space.
`static int` | `TUNED_AWAY` Reason code : Recording did not complete successfully because the application selected another service on the service context.
`static int` | `TUNING_FAILURE` Reason code : Recording failed due to problems with tuning.
`static int` | `USER_STOP` Reason code : The application terminated the recording using LeafRecordingRequest.stop method or by calling the stop on the service context (if the recording spec is an instance of ServiceContextRecordingSpec).

Constructor Summary
`RecordingFailedException()` Constructs a RecordingFailedException with no detail message The reason code instances created by this constructor shall be REASON_NOT_KNOWN.
`RecordingFailedException(int reason)` Constructs a RecordingFailedException with a detail message

Method Summary
`int` | `getReason()` Reports the reason for which the recording request failed to complete successfully.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CA_REFUSAL

    public static final int CA_REFUSAL

  Reason code : Recording failed due to the CA system refusing to permit it.

  See Also:
    Constant Field Values

### CONTENT_NOT_FOUND

    public static final int CONTENT_NOT_FOUND

  Reason code : Recording failed because the requested content could not be found in the network.

  See Also:
    Constant Field Values

### TUNING_FAILURE

    public static final int TUNING_FAILURE

  Reason code : Recording failed due to problems with tuning.

  See Also:
    Constant Field Values

### INSUFFICIENT_RESOURCES

    public static final int INSUFFICIENT_RESOURCES

  Reason code : Recording failed due to a lack of resources required to present this service.

  See Also:
    Constant Field Values

### ACCESS_WITHDRAWN

    public static final int ACCESS_WITHDRAWN

  Reason code : Recording did not complete successfully because access to the service or some component of it were withdrawn by the system before the scheduled completion of the recording.

  See Also:
    Constant Field Values

### RESOURCES_REMOVED

    public static final int RESOURCES_REMOVED

  Reason code : Recording did not complete sucessfully because Resources needed to present the service were removed before the scheduled completion of the recording.

  See Also:
    Constant Field Values

### SERVICE_VANISHED

    public static final int SERVICE_VANISHED

  Reason code : Recording did not complete sucessfully because the service vanished from the network before the completion of the recording.

  See Also:
    Constant Field Values

### TUNED_AWAY

    public static final int TUNED_AWAY

  Reason code : Recording did not complete successfully because the application selected another service on the service context. This is applicable only if the recording spec for the recording request is an instance of ServiceContextRecordingSpec.

  See Also:
    Constant Field Values

### USER_STOP

    public static final int USER_STOP

  Reason code : The application terminated the recording using LeafRecordingRequest.stop method or by calling the stop on the service context (if the recording spec is an instance of ServiceContextRecordingSpec).

  See Also:
    Constant Field Values

### SPACE_FULL

    public static final int SPACE_FULL

  Reason code : Recording could not complete due to lack of storage space.

  See Also:
    Constant Field Values

### OUT_OF_BANDWIDTH

    public static final int OUT_OF_BANDWIDTH

  Reason code : Recording failed due to lack of IO bandwidth to record this program.

  See Also:
    Constant Field Values

### RESOLUTION_ERROR

    public static final int RESOLUTION_ERROR

  Reason code : The recording request failed due to errors in request resolution.

  See Also:
    Constant Field Values

### POWER_INTERRUPTION

    public static final int POWER_INTERRUPTION

  Reason code : When the device is powered off and the power returns after the scheduled end time of a recording but before the expiration time of the recording request, the request shall be in the failed state with this reason code.

  See Also:
    Constant Field Values

### REASON_NOT_KNOWN

    public int REASON_NOT_KNOWN

  Reason code: reason not known

Constructor Detail

### RecordingFailedException

    public RecordingFailedException()

  Constructs a RecordingFailedException with no detail message The reason code instances created by this constructor shall be REASON_NOT_KNOWN.

### RecordingFailedException

    public RecordingFailedException(int reason)

  Constructs a RecordingFailedException with a detail message

  Parameters:
    `reason` - the reason why the exception was thrown

Method Detail

### getReason

    public int getReason()

  Reports the reason for which the recording request failed to complete successfully.

  Returns:
    the reason code for which the recording request failed to complete successfully.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD